zipios::FileEntry::MatchFileName Class Reference

Function object to be used with the STL find_if algorithm to find a FileEntry in a container, which name (as obtained with FileEntry::getFileName()) is identical to the name specified in the MatchName constructor. More...

`#include <fileentry.h>`

## Public Member Functions

| MatchFileName (const string &name)
bool | operator() (const ConstEntryPointer &entry)

## Detailed Description

Function object to be used with the STL find_if algorithm to find a FileEntry in a container, which name (as obtained with FileEntry::getFileName()) is identical to the name specified in the MatchName constructor.

Definition at line 195 of file fileentry.h.

## Constructor & Destructor Documentation

## MatchFileName()

zipios::FileEntry::MatchFileName::MatchFileName | ( | const string & | name | ) |

inline explicit

Definition at line 197 of file fileentry.h.

## Member Function Documentation

## operator()()

bool zipios::FileEntry::MatchFileName::operator() | ( | const ConstEntryPointer & | entry | ) |

inline

Definition at line 198 of file fileentry.h.

The documentation for this class was generated from the following file:

- fileentry.h